Name:           latex2rtf
Version:        2.3.8
Release:        3%{?dist}
Summary:        LaTeX to RTF converter that handles equations, figures, and cross-references
License:        GPLv2+
URL:            http://latex2rtf.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-latex2rtf-FTBFS-with-texinfo-5.patch
# Do not use (non-existent on EL7) a4wide paper style in tests
Patch1:         latex2rtf-a4wide.patch
# For running the tests
BuildRequires:  ImageMagick
BuildRequires:  texinfo
BuildRequires:  texinfo-tex
%if 0%{?rhel} == 5
BuildRequires:  tetex-latex
%else
BuildRequires:  tex(latex)
%endif
%if 0%{?fedora} >= 18
BuildRequires:  texlive-a4wide
BuildRequires:  texlive-courier
BuildRequires:  texlive-helvetic
BuildRequires:  texlive-psfrag
BuildRequires:  texlive-times
%endif
%if 0%{?rhel} > 0
BuildRequires:  man
%else
BuildRequires:  man2html-core
%endif
Requires:       gawk
Requires:       grep
# For converting images, /usr/bin/convert
Requires:       ImageMagick
Requires:       sed
# For latex2png, ghostscript
Requires:       /usr/bin/eps2eps
# Including netpbm, latex2html, some sty files might be missing from userland
Requires:       texlive-collection-basic
Requires:       texlive-collection-latex
# Does not exist on EL7
%if 0%{?fedora}
Requires:       texlive-collection-latexextra
%endif
Requires:       texlive-collection-latexrecommended
# Info file requirement
Requires(post): info
Requires(preun):info

%description
LaTeX2rtf is a translator program which is intended to translate a LaTeX
document (precisely: the text and a limited subset of LaTeX tags) into the RTF
format which can be imported by several text processors (including Microsoft
Word for Windows and Word for Macintosh). 

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .a4wide

# Get rid of iffy permissions.
chmod a-x cfg/*.cfg

# Delete prebuilt objects in case of subtle failure.
find -name "*.o" -delete -print

# Fix permissions again for normal files.
find . -type f -exec chmod 644 {} \;
chmod 755 test/bracecheck
chmod 755 scripts/latex2png

# Change encoding of documentation.
for txtfile in ChangeLog Copyright; do
 iconv -f ASCII -t UTF-8 $txtfile >$txtfile.new && \
 touch -r $txtfile $txtfile.new && \
 mv $txtfile{.new,} 
done

%build
# Set the necessary config options, including location of config files
# -fsigned-char is useful for special arches, don't forget it.
make %{?_smp_mflags} CFLAGS="%{optflags} -DUNIX -fsigned-char" LDFLAGS="%{?__global_ldflags}" DESTDIR=%{_prefix} CFGDIR=/share/%{name}/cfg

%install
make install DESTDIR=%{buildroot}%{_prefix}
make install-info DESTDIR=%{buildroot}%{_prefix}
# Remove unnecessary file from infodir
rm -frv %{buildroot}%{_infodir}/dir

%check
make check

%post
install-info --quiet %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
    install-info --quiet --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%doc ChangeLog Copyright doc/latex2rtf.pdf doc/latex2rtf.html doc/copying.txt doc/credits
%{_bindir}/latex2png
%{_bindir}/latex2rtf
%{_datadir}/latex2rtf/
%{_infodir}/latex2rtf.info.*
%{_mandir}/man1/latex2png.1.*
%{_mandir}/man1/latex2rtf.1.*

%changelog
* Fri May 15 2015 Orion Poplawski <orion@cora.nwra.com> - 2.3.8-3
- Do not require texlive-collection-latexextra on EL7 (does not exist)

* Wed May 13 2015 Orion Poplawski <orion@cora.nwra.com> - 2.3.8-2
- Do not use (non-existent on EL7) a4wide paper style in tests (bug #1136065)
- Drop %%make_build for EL7 compatibility
- Fix gawk requires

* Tue Feb 17 2015 Christopher Meng <rpm@cicku.me> - 2.3.8-1
- Push to epel7 with latex2rtf-2.3.8
